<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));
$codeint = strip_tags(trim(@$_POST["codeint"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$des = str_majuscules(str_escape(trim(@$_POST["des"])));
$qte = strip_tags(trim(@$_POST["qte"]));
$tva = strip_tags(trim(@$_POST["tva"]));
$pu = strip_tags(trim(@$_POST["pu"]));
$texte = str_escape(trim(@$_POST["texte"]));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche Taxe Intervention
	case "add" :
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBTPFI. " WHERE tpfi_codeint = '$codeint' AND tpfi_codetpf = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rech2 = "INSERT INTO " .TBTPFI;
			$rech2 .= " (tpfi_codeint,tpfi_codetpf,tpfi_valeur,tpfi_codetva,tpfi_qte,tpfi_texte) VALUES";
			$rech2 .= " ('$codeint','$code','$pu','$tva','$qte','$texte')";
			$rs2 = mysql_query($rech2) or die(mysql_error());
			
			$msg = "Taxe ajout&eacute;e";
		}
		else
		{
			$msg = "Cette taxe est d&eacute;j&agrave; saisie dans cette intervention !";
			$retourliste = FALSE;
		}
		mysql_free_result($rs);
		break;
		
	// MAJ de la fiche Taxe Intervention
	case "edit" :
		$rech = "UPDATE `" .TBTPFI. "` SET `tpfi_codeint`='".$codeint."', `tpfi_codetpf`='".$code."', `tpfi_valeur`='".$pu."', `tpfi_qte`='".$qte."', `tpfi_texte`='".$texte."'";
		$rech .= " WHERE `tpfi_codeint` = '".$codeint."' AND `tpfi_codetpf` = '".$code."'";
		$rs = mysql_query($rech) or die(mysql_error());
			
		$msg = "Taxe mise &agrave; jour";
		break;

	// Suppression de la fiche Taxe de l'intervention
	case "del" :
		$rech = "DELETE FROM `" .TBTPFI. "` WHERE `tpfi_codeint` = '$codeint' AND `tpfi_codetpf` = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());

		$msg = "Taxe supprim&eacute;e";
		break;
		
	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Taxe Intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>


<!-- Fermeture temporisée -->
<?PHP 
$row=lit_enr_int($codeint);
if (is_array($row))
	extract($row);
cre_js_pdti("edit",$codeint,$int_acpte,"window.opener."); 
?>
<script type="text/javascript">
<!--
updatint();
self.close('fscomp');
//-->
</script>
<p align="center"><?PHP echo $txt_div_sinon; ?>, <a href="javascript:void(0)" onClick="javascript:; self.close('fscomp');"><?PHP echo $txt_lnk_clic_ici; ?></a> </p>

</body>
</html>
